%global momorel 4

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DateTime-Calendar-Discordian
%define real_version 0.009006

Summary: Perl extension for the Discordian Calendar
Name: perl-DateTime-Calendar-Discordian
Version: 0.9.6
Release: %{momorel}m%{?dist}
License: Artistic and GPL
Group:   Development/Libraries
URL: http://search.cpan.org/dist/DateTime-Calendar-Discordian/

Source0:  http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Discordian-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl-ExtUtils-MakeMaker

%description
This is a module that implements the Discordian calendar made popular
in the "Illuminatus!" trilogy by Robert Shea and Robert Anton Wilson and
by the Church of the SubGenius.  It follows the DateTime API.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST MANIFEST.SKIP META.yml README SIGNATURE
%doc %{_mandir}/man3/DateTime::Calendar::Discordian.3pm*
%{perl_vendorlib}/DateTime/Calendar/Discordian.pm

%changelog
* Tue Jun  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-4m)
- remove duplicate directories

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-3m)
- rebuild against rpm-4.6

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.6-2m)
- change BuildRequires from perl module name to package name

* Fri Jul 11 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.6-1m)
- import from dag to Momonga for ikiwiki

* Wed Mar 12 2008 Dag Wieers <dag@wieers.com> - 0.9.6-1
- Updated to release

* Thu Mar 06 2008 Dag Wieers <dag@wieers.com> - 0.9.5-1
- Updated to release 0.9.5.

* Tue Sep 19 2006 Dries Verachtert <dries@ulyssis.org> - 0.9.4-1
- Initial package.
